diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-remote-station-manager.h ns-3.44/src/wifi/model/wifi-remote-station-manager.h
--- ns-3.43/src/wifi/model/wifi-remote-station-manager.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-remote-station-manager.h	2025-03-09 16:55:49.803372600 -0700
@@ -683,52 +722,52 @@
      * by a destination which is also supported locally.
      * The set of supported modes includes the BSSBasicRateSet.
      *
-     * \param address the address of the station being recorded
+     * @param address the address of the station being recorded
      */
     void AddAllSupportedModes(Mac48Address address);
     /**
      * Invoked in a STA or AP to store all of the MCS supported
      * by a destination which is also supported locally.
      *
-     * \param address the address of the station being recorded
+     * @param address the address of the station being recorded
      */
     void AddAllSupportedMcs(Mac48Address address);
     /**
      * Invoked in a STA or AP to delete all of the supported MCS by a destination.
      *
-     * \param address the address of the station being recorded
+     * @param address the address of the station being recorded
      */
     void RemoveAllSupportedMcs(Mac48Address address);
     /**
      * Record whether the short PHY preamble is supported by the station.
      *
-     * \param address the address of the station
-     * \param isShortPreambleSupported whether or not short PHY preamble is supported by the station
+     * @param address the address of the station
+     * @param isShortPreambleSupported whether or not short PHY preamble is supported by the station
      */
     void AddSupportedPhyPreamble(Mac48Address address, bool isShortPreambleSupported);
     /**
      * Record whether the short ERP slot time is supported by the station.
      *
-     * \param address the address of the station
-     * \param isShortSlotTimeSupported whether or not short ERP slot time is supported by the
+     * @param address the address of the station
+     * @param isShortSlotTimeSupported whether or not short ERP slot time is supported by the
      * station
      */
     void AddSupportedErpSlotTime(Mac48Address address, bool isShortSlotTimeSupported);
     /**
      * Return whether the station state is brand new.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      *
-     * \return true if the state of the station is brand new,
+     * @return true if the state of the station is brand new,
      *         false otherwise
      */
     bool IsBrandNew(Mac48Address address) const;
     /**
      * Return whether the station associated.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      *
-     * \return true if the station is associated,
+     * @return true if the station is associated,
      *         false otherwise
      */
     bool IsAssociated(Mac48Address address) const;
@@ -736,9 +775,9 @@
      * Return whether we are waiting for an ACK for
      * the association response we sent.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      *
-     * \return true if the station is associated,
+     * @return true if the station is associated,
      *         false otherwise
      */
     bool IsWaitAssocTxOk(Mac48Address address) const;
@@ -746,56 +785,56 @@
      * Records that we are waiting for an ACK for
      * the association response we sent.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      */
     void RecordWaitAssocTxOk(Mac48Address address);
     /**
      * Records that we got an ACK for
      * the association response we sent.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      */
     void RecordGotAssocTxOk(Mac48Address address);
     /**
      * Records that we missed an ACK for
      * the association response we sent.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      */
     void RecordGotAssocTxFailed(Mac48Address address);
     /**
      * Records that the STA was disassociated.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      */
     void RecordDisassociated(Mac48Address address);
     /**
      * Return whether we refused an association request from the given station
      *
-     * \param address the address of the station
-     * \return true if we refused an association request, false otherwise
+     * @param address the address of the station
+     * @return true if we refused an association request, false otherwise
      */
     bool IsAssocRefused(Mac48Address address) const;
     /**
      * Records that association request was refused
      *
-     * \param address the address of the station
+     * @param address the address of the station
      */
     void RecordAssocRefused(Mac48Address address);
 
     /**
      * Return whether the STA is currently in Power Save mode.
      *
-     * \param address the address of the station
+     * @param address the address of the station
      *
-     * \return true if the station is in Power Save mode, false otherwise
+     * @return true if the station is in Power Save mode, false otherwise
      */
     bool IsInPsMode(const Mac48Address& address) const;
     /**
      * Register whether the STA is in Power Save mode or not.
      *
-     * \param address the address of the station
-     * \param isInPsMode whether the STA is in PS mode or not
+     * @param address the address of the station
+     * @param isInPsMode whether the STA is in PS mode or not
      */
     void SetPsMode(const Mac48Address& address, bool isInPsMode);
 
@@ -805,31 +844,31 @@
      * with the given station (which requires both this station and the given
      * station to be MLDs).
      *
-     * \param address the MAC address of the remote station
-     * \return the address of the MLD the given station is affiliated with, if any
+     * @param address the MAC address of the remote station
+     * @return the address of the MLD the given station is affiliated with, if any
      */
     std::optional<Mac48Address> GetMldAddress(const Mac48Address& address) const;
     /**
      * Get the address of the remote station operating on this link and affiliated
      * with the MLD having the given MAC address, if any.
      *
-     * \param mldAddress the MLD MAC address
-     * \return the address of the remote station operating on this link and
+     * @param mldAddress the MLD MAC address
+     * @return the address of the remote station operating on this link and
      *         affiliated with the MLD, if any
      */
     std::optional<Mac48Address> GetAffiliatedStaAddress(const Mac48Address& mldAddress) const;
 
     /**
-     * \param header MAC header
-     * \param allowedWidth the allowed width to send this packet
-     * \return the TXVECTOR to use to send this packet
+     * @param header MAC header
+     * @param allowedWidth the allowed width to send this packet
+     * @return the TXVECTOR to use to send this packet
      */
     WifiTxVector GetDataTxVector(const WifiMacHeader& header, MHz_u allowedWidth);
     /**
-     * \param address remote address
-     * \param allowedWidth the allowed width for the data frame being protected
+     * @param address remote address
+     * @param allowedWidth the allowed width for the data frame being protected
      *
-     * \return the TXVECTOR to use to send the RTS prior to the
+     * @return the TXVECTOR to use to send the RTS prior to the
      *         transmission of the data packet itself.
      */
     WifiTxVector GetRtsTxVector(Mac48Address address, MHz_u allowedWidth);
@@ -837,16 +876,16 @@
      * Return a TXVECTOR for the CTS frame given the destination and the mode of the RTS
      * used by the sender.
      *
-     * \param to the MAC address of the CTS receiver
-     * \param rtsTxMode the mode of the RTS used by the sender
-     * \return TXVECTOR for the CTS
+     * @param to the MAC address of the CTS receiver
+     * @param rtsTxMode the mode of the RTS used by the sender
+     * @return TXVECTOR for the CTS
      */
     WifiTxVector GetCtsTxVector(Mac48Address to, WifiMode rtsTxMode) const;
     /**
      * Since CTS-to-self parameters are not dependent on the station,
      * it is implemented in wifi remote station manager
      *
-     * \return the transmission mode to use to send the CTS-to-self prior to the
+     * @return the transmission mode to use to send the CTS-to-self prior to the
      *         transmission of the data packet itself.
      */
     WifiTxVector GetCtsToSelfTxVector();
@@ -854,32 +893,32 @@
      * Adjust the TXVECTOR for an initial Control frame to ensure that the modulation class
      * is non-HT and the rate is 6 Mbps, 12 Mbps or 24 Mbps.
      *
-     * \param txVector the TXVECTOR to adjust
+     * @param txVector the TXVECTOR to adjust
      */
     void AdjustTxVectorForIcf(WifiTxVector& txVector) const;
     /**
      * Return a TXVECTOR for the Ack frame given the destination and the mode of the Data
      * used by the sender.
      *
-     * \param to the MAC address of the Ack receiver
-     * \param dataTxVector the TXVECTOR of the Data used by the sender
-     * \return TXVECTOR for the Ack
+     * @param to the MAC address of the Ack receiver
+     * @param dataTxVector the TXVECTOR of the Data used by the sender
+     * @return TXVECTOR for the Ack
      */
     WifiTxVector GetAckTxVector(Mac48Address to, const WifiTxVector& dataTxVector) const;
     /**
      * Return a TXVECTOR for the BlockAck frame given the destination and the mode of the Data
      * used by the sender.
      *
-     * \param to the MAC address of the BlockAck receiver
-     * \param dataTxVector the TXVECTOR of the Data used by the sender
-     * \return TXVECTOR for the BlockAck
+     * @param to the MAC address of the BlockAck receiver
+     * @param dataTxVector the TXVECTOR of the Data used by the sender
+     * @return TXVECTOR for the BlockAck
      */
     WifiTxVector GetBlockAckTxVector(Mac48Address to, const WifiTxVector& dataTxVector) const;
     /**
      * Get control answer mode function.
      *
-     * \param reqMode request mode
-     * \return control answer mode
+     * @param reqMode request mode
+     * @return control answer mode
      */
     WifiMode GetControlAnswerMode(WifiMode reqMode) const;
 
@@ -887,14 +926,14 @@
      * Should be invoked whenever the RtsTimeout associated to a transmission
      * attempt expires.
      *
-     * \param header MAC header of the DATA packet
+     * @param header MAC header of the DATA packet
      */
     void ReportRtsFailed(const WifiMacHeader& header);
     /**
      * Should be invoked whenever the AckTimeout associated to a transmission
      * attempt expires.
      *
-     * \param mpdu the MPDU whose transmission failed
+     * @param mpdu the MPDU whose transmission failed
      */
     void ReportDataFailed(Ptr<const WifiMpdu> mpdu);
     /**
@@ -902,21 +941,21 @@
      * we just sent. Note that we also get the SNR of the RTS we sent since
      * the receiver put a SnrTag in the CTS.
      *
-     * \param header MAC header of the DATA packet
-     * \param ctsSnr the SNR of the CTS we received
-     * \param ctsMode the WifiMode the receiver used to send the CTS
-     * \param rtsSnr the SNR of the RTS we sent
+     * @param header MAC header of the DATA packet
+     * @param ctsSnr the SNR of the CTS we received
+     * @param ctsMode the WifiMode the receiver used to send the CTS
+     * @param rtsSnr the SNR of the RTS we sent
      */
     void ReportRtsOk(const WifiMacHeader& header, double ctsSnr, WifiMode ctsMode, double rtsSnr);
     /**
      * Should be invoked whenever we receive the ACK associated to a data packet
      * we just sent.
      *
-     * \param mpdu the MPDU
-     * \param ackSnr the SNR of the ACK we received
-     * \param ackMode the WifiMode the receiver used to send the ACK
-     * \param dataSnr the SNR of the DATA we sent
-     * \param dataTxVector the TXVECTOR of the DATA we sent
+     * @param mpdu the MPDU
+     * @param ackSnr the SNR of the ACK we received
+     * @param ackMode the WifiMode the receiver used to send the ACK
+     * @param dataSnr the SNR of the DATA we sent
+     * @param dataTxVector the TXVECTOR of the DATA we sent
      */
     void ReportDataOk(Ptr<const WifiMpdu> mpdu,
                       double ackSnr,
@@ -924,30 +963,28 @@
                       double dataSnr,
                       WifiTxVector dataTxVector);
     /**
-     * Should be invoked after calling ReportRtsFailed if
-     * NeedRetransmission returns false
+     * Should be invoked after calling ReportRtsFailed if frames are dropped
      *
-     * \param header MAC header of the DATA packet
+     * @param header MAC header of the DATA packet
      */
     void ReportFinalRtsFailed(const WifiMacHeader& header);
     /**
-     * Should be invoked after calling ReportDataFailed if
-     * NeedRetransmission returns false
+     * Should be invoked after calling ReportDataFailed if frames are dropped
      *
-     * \param mpdu the MPDU which was discarded
+     * @param mpdu the MPDU which was discarded
      */
     void ReportFinalDataFailed(Ptr<const WifiMpdu> mpdu);
     /**
      * Typically called per A-MPDU, either when a Block ACK was successfully
      * received or when a BlockAckTimeout has elapsed.
      *
-     * \param address the address of the receiver
-     * \param nSuccessfulMpdus number of successfully transmitted MPDUs
+     * @param address the address of the receiver
+     * @param nSuccessfulMpdus number of successfully transmitted MPDUs
      * A value of 0 means that the Block ACK was missed.
-     * \param nFailedMpdus number of unsuccessfuly transmitted MPDUs
-     * \param rxSnr received SNR of the block ack frame itself
-     * \param dataSnr data SNR reported by remote station
-     * \param dataTxVector the TXVECTOR of the MPDUs we sent
+     * @param nFailedMpdus number of unsuccessfuly transmitted MPDUs
+     * @param rxSnr received SNR of the block ack frame itself
+     * @param dataSnr data SNR reported by remote station
+     * @param dataTxVector the TXVECTOR of the MPDUs we sent
      */
     void ReportAmpduTxStatus(Mac48Address address,
                              uint16_t nSuccessfulMpdus,
@@ -957,82 +994,84 @@
                              WifiTxVector dataTxVector);
 
     /**
-     * \param address remote address
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the TXVECTOR used for the packet received
+     * @param address remote address
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the TXVECTOR used for the packet received
      *
      * Should be invoked whenever a packet is successfully received.
      */
-    void ReportRxOk(Mac48Address address, RxSignalInfo rxSignalInfo, WifiTxVector txVector);
+    void ReportRxOk(Mac48Address address, RxSignalInfo rxSignalInfo, const WifiTxVector& txVector);
 
     /**
-     * \param header MAC header of the data frame to send
-     * \param txParams the TX parameters for the data frame to send
+     * Increment the retry count for all the MPDUs (if needed) in the given PSDU and find the
+     * MPDUs to drop based on the frame retry count.
      *
-     * \return true if we want to use an RTS/CTS handshake for this
+     * @param psdu the given PSDU, whose transmission failed
+     * @return the list of MPDUs that have to be dropped
+     */
+    std::list<Ptr<WifiMpdu>> GetMpdusToDropOnTxFailure(Ptr<WifiPsdu> psdu);
+
+    /**
+     * @param header MAC header of the data frame to send
+     * @param txParams the TX parameters for the data frame to send
+     *
+     * @return true if we want to use an RTS/CTS handshake for this
      *         frame before sending it, false otherwise.
      */
     bool NeedRts(const WifiMacHeader& header, const WifiTxParameters& txParams);
     /**
      * Return if we need to do CTS-to-self before sending a DATA.
      *
-     * \param txVector the TXVECTOR of the packet to be sent
-     *
-     * \return true if CTS-to-self is needed,
+     * @param txVector the TXVECTOR of the DATA
+     * @param header the MAC header of the DATA
+     * @return true if CTS-to-self is needed,
      *         false otherwise
      */
-    bool NeedCtsToSelf(WifiTxVector txVector);
+    bool NeedCtsToSelf(const WifiTxVector& txVector, const WifiMacHeader& header);
 
     /**
-     * \param mpdu the MPDU to send
+     * @param mpdu the MPDU to send
      *
-     * \return true if we want to resend a packet after a failed transmission attempt,
-     *         false otherwise.
-     */
-    bool NeedRetransmission(Ptr<const WifiMpdu> mpdu);
-    /**
-     * \param mpdu the MPDU to send
-     *
-     * \return true if this packet should be fragmented,
+     * @return true if this packet should be fragmented,
      *         false otherwise.
      */
     bool NeedFragmentation(Ptr<const WifiMpdu> mpdu);
     /**
-     * \param mpdu the MPDU to send
-     * \param fragmentNumber the fragment index of the next fragment to send (starts at zero).
+     * @param mpdu the MPDU to send
+     * @param fragmentNumber the fragment index of the next fragment to send (starts at zero).
      *
-     * \return the size of the corresponding fragment.
+     * @return the size of the corresponding fragment.
      */
     uint32_t GetFragmentSize(Ptr<const WifiMpdu> mpdu, uint32_t fragmentNumber);
     /**
-     * \param mpdu the packet to send
-     * \param fragmentNumber the fragment index of the next fragment to send (starts at zero).
+     * @param mpdu the packet to send
+     * @param fragmentNumber the fragment index of the next fragment to send (starts at zero).
      *
-     * \return the offset within the original packet where this fragment starts.
+     * @return the offset within the original packet where this fragment starts.
      */
     uint32_t GetFragmentOffset(Ptr<const WifiMpdu> mpdu, uint32_t fragmentNumber);
     /**
-     * \param mpdu the packet to send
-     * \param fragmentNumber the fragment index of the next fragment to send (starts at zero).
+     * @param mpdu the packet to send
+     * @param fragmentNumber the fragment index of the next fragment to send (starts at zero).
      *
-     * \return true if this is the last fragment, false otherwise.
+     * @return true if this is the last fragment, false otherwise.
      */
     bool IsLastFragment(Ptr<const WifiMpdu> mpdu, uint32_t fragmentNumber);
 
     /**
-     * \return the default transmission power
+     * @return the default transmission power
      */
     uint8_t GetDefaultTxPowerLevel() const;
     /**
-     * \param address of the remote station
+     * @param address of the remote station
      *
-     * \return information regarding the remote station associated with the given address
+     * @return information regarding the remote station associated with the given address
      */
     WifiRemoteStationInfo GetInfo(Mac48Address address);
     /**
-     * \param address of the remote station
+     * @param address of the remote station
      *
-     * \return the RSSI of the most recent packet received from the remote station (irrespective of
+     * @return the RSSI of the most recent packet received from the remote station (irrespective of
      * TID)
      *
      * This method is typically used when the device needs
@@ -1043,32 +1082,32 @@
     /**
      * Set the default transmission power level
      *
-     * \param txPower the default transmission power level
+     * @param txPower the default transmission power level
      */
     void SetDefaultTxPowerLevel(uint8_t txPower);
     /**
-     * \return the number of antennas supported by the PHY layer
+     * @return the number of antennas supported by the PHY layer
      */
     uint8_t GetNumberOfAntennas() const;
     /**
-     * \return the maximum number of spatial streams supported by the PHY layer
+     * @return the maximum number of spatial streams supported by the PHY layer
      */
     uint8_t GetMaxNumberOfTransmitStreams() const;
     /**
-     * \returns whether LDPC should be used for a given destination address.
+     * @returns whether LDPC should be used for a given destination address.
      *
-     * \param dest the destination address
+     * @param dest the destination address
      *
-     * \return whether LDPC should be used for a given destination address
+     * @return whether LDPC should be used for a given destination address
      */
     bool UseLdpcForDestination(Mac48Address dest) const;
 
     /**
      * TracedCallback signature for power change events.
      *
-     * \param [in] oldPower The previous power (in dBm).
-     * \param [in] newPower The new power (in dBm).
-     * \param [in] address The remote station MAC address.
+     * @param [in] oldPower The previous power (in dBm).
+     * @param [in] newPower The new power (in dBm).
+     * @param [in] address The remote station MAC address.
      */
     typedef void (*PowerChangeTracedCallback)(double oldPower,
                                               double newPower,
@@ -1077,9 +1116,9 @@
     /**
      * TracedCallback signature for rate change events.
      *
-     * \param [in] oldRate The previous data rate.
-     * \param [in] newRate The new data rate.
-     * \param [in] address The remote station MAC address.
+     * @param [in] oldRate The previous data rate.
+     * @param [in] newRate The new data rate.
+     * @param [in] address The remote station MAC address.
      */
     typedef void (*RateChangeTracedCallback)(DataRate oldRate,
                                              DataRate newRate,
@@ -1088,13 +1127,13 @@
     /**
      * Return the WifiPhy.
      *
-     * \return a pointer to the WifiPhy
+     * @return a pointer to the WifiPhy
      */
     Ptr<WifiPhy> GetPhy() const;
     /**
      * Return the WifiMac.
      *
-     * \return a pointer to the WifiMac
+     * @return a pointer to the WifiMac
      */
     Ptr<WifiMac> GetMac() const;
 
@@ -1103,149 +1142,149 @@
     /**
      * Return whether mode associated with the specified station at the specified index.
      *
-     * \param station the station being queried
-     * \param i the index
+     * @param station the station being queried
+     * @param i the index
      *
-     * \return WifiMode at the given index of the specified station
+     * @return WifiMode at the given index of the specified station
      */
     WifiMode GetSupported(const WifiRemoteStation* station, uint8_t i) const;
     /**
      * Return the number of modes supported by the given station.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return the number of modes supported by the given station
+     * @return the number of modes supported by the given station
      */
     uint8_t GetNSupported(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station is QoS capable.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station has QoS capabilities,
+     * @return true if the station has QoS capabilities,
      *         false otherwise
      */
     bool GetQosSupported(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station is HT capable.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station has HT capabilities,
+     * @return true if the station has HT capabilities,
      *         false otherwise
      */
     bool GetHtSupported(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station is VHT capable.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station has VHT capabilities,
+     * @return true if the station has VHT capabilities,
      *         false otherwise
      */
     bool GetVhtSupported(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station is HE capable.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station has HE capabilities,
+     * @return true if the station has HE capabilities,
      *         false otherwise
      */
     bool GetHeSupported(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station is EHT capable.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station has EHT capabilities,
+     * @return true if the station has EHT capabilities,
      *         false otherwise
      */
     bool GetEhtSupported(const WifiRemoteStation* station) const;
     /**
-     * \param station the station of a non-AP MLD
-     * \return whether the non-AP MLD supports EMLSR
+     * @param station the station of a non-AP MLD
+     * @return whether the non-AP MLD supports EMLSR
      */
     bool GetEmlsrSupported(const WifiRemoteStation* station) const;
     /**
-     * \param station the station of a non-AP MLD
-     * \return whether EMLSR mode is enabled for the non-AP MLD on this link
+     * @param station the station of a non-AP MLD
+     * @return whether EMLSR mode is enabled for the non-AP MLD on this link
      */
     bool GetEmlsrEnabled(const WifiRemoteStation* station) const;
     /**
      * Return the WifiMode supported by the specified station at the specified index.
      *
-     * \param station the station being queried
-     * \param i the index
+     * @param station the station being queried
+     * @param i the index
      *
-     * \return the WifiMode at the given index of the specified station
+     * @return the WifiMode at the given index of the specified station
      */
 
     WifiMode GetMcsSupported(const WifiRemoteStation* station, uint8_t i) const;
     /**
      * Return the number of MCS supported by the given station.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return the number of MCS supported by the given station
+     * @return the number of MCS supported by the given station
      */
     uint8_t GetNMcsSupported(const WifiRemoteStation* station) const;
     /**
      * Return whether non-ERP mode associated with the specified station at the specified index.
      *
-     * \param station the station being queried
-     * \param i the index
+     * @param station the station being queried
+     * @param i the index
      *
-     * \return WifiMode at the given index of the specified station
+     * @return WifiMode at the given index of the specified station
      */
     WifiMode GetNonErpSupported(const WifiRemoteStation* station, uint8_t i) const;
     /**
      * Return the number of non-ERP modes supported by the given station.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return the number of non-ERP modes supported by the given station
+     * @return the number of non-ERP modes supported by the given station
      */
     uint32_t GetNNonErpSupported(const WifiRemoteStation* station) const;
     /**
      * Return the address of the station.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return the address of the station
+     * @return the address of the station
      */
     Mac48Address GetAddress(const WifiRemoteStation* station) const;
     /**
      * Return the channel width supported by the station.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return the channel width supported by the station
+     * @return the channel width supported by the station
      */
     MHz_u GetChannelWidth(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station supports HT/VHT short guard interval.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station supports HT/VHT short guard interval,
+     * @return true if the station supports HT/VHT short guard interval,
      *         false otherwise
      */
     bool GetShortGuardIntervalSupported(const WifiRemoteStation* station) const;
     /**
-     * Return the HE guard interval duration supported by the station.
+     * Return the shortest HE guard interval duration supported by the station.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return the HE guard interval duration supported by the station
+     * @return the shortest HE guard interval duration supported by the station
      */
     Time GetGuardInterval(const WifiRemoteStation* station) const;
     /**
      * Return whether the given station supports A-MPDU.
      *
-     * \param station the station being queried
+     * @param station the station being queried
      *
-     * \return true if the station supports MPDU aggregation,
+     * @return true if the station supports MPDU aggregation,
      *         false otherwise
      */
     bool GetAggregation(const WifiRemoteStation* station) const;
